%global momorel 6

Name:           perl-Email-MIME-Creator-ISO_2022_JP
Version:        0.02
Release:        %{momorel}m%{?dist}
Summary:        Email::MIME mixin to create an iso-2022-jp mail
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Email-MIME-Creator-ISO_2022_JP/
Source0:        http://www.cpan.org/authors/id/I/IS/ISHIGAKI/Email-MIME-Creator-ISO_2022_JP-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Email-MIME >= 1.900
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Sub-Install
BuildRequires:  perl-Test-Classy >= 0.07
BuildRequires:  perl-Test-UseAllModules >= 0.10
Requires:       perl-Email-MIME >= 1.900
Requires:       perl-Sub-Install
Requires:       perl-Test-Classy >= 0.07
Requires:       perl-Test-UseAllModules >= 0.10
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Email::MIME is nice and handy. With header_str and body_str (since 1.900),
you don't need to encode everything by yourself. Just pass flagged
(decoded) utf-8 strings, and you'll get what you want. However, it only
works when you send utf-8 encoded emails. In Japan, there're still some
email clients that only understand iso-2022-jp (jis) encoded emails, and
its popularity persuaded the Encode maintainer (who's also Japanese) to
include its support (since version 2.11, with
Encode::MIME::Header::ISO_2022_JP written by Makamaka). I want it to be
supported by Email::MIME, but it's too specific and nonsense for the rest
of the world. That's why I write this mixin instead of asking to add extra
bit to Email::MIME.

%prep
%setup -q -n Email-MIME-Creator-ISO_2022_JP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Email/MIME/Creator/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.02-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Nov 07 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
